package com.sf.rocketmq.service;

package ..deTemp.1744119521063;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.sf.rocketmq.api.ConfigReadAPI;
import com.smartframework.web.core.utils.ParameterUtils;

public class HandleMsgService {
  static com.sf.rocketmq.service.HandleMsgService handleMsgService;
  
  public static com.sf.rocketmq.service.HandleMsgService getInstance() {
    if (handleMsgService == null)
      handleMsgService = new com.sf.rocketmq.service.HandleMsgService(); 
    return handleMsgService;
  }
  
  public String measurationSend(JSONObject a5000Msg) {
    String sendMsg;
    if (ParameterUtils.isEmptyOrNull(ConfigReadAPI.getAreaCode())) {
      JSONObject measurationSendObject = new JSONObject();
      String msgId = a5000Msg.getString("MsgId");
      measurationSendObject.put("msgId", msgId);
      String msgTime = a5000Msg.getString("timeStamp");
      measurationSendObject.put("msgTime", msgTime);
      JSONArray measureValueList = a5000Msg.getJSONArray("MeasurentValueList");
      JSONArray measureValueListSend = new JSONArray();
      if (measureValueList.size() > 0) {
        for (int i = 0; i < measureValueList.size(); i++) {
          JSONObject measurement = measureValueList.getJSONObject(i);
          JSONObject measurementSend = new JSONObject();
          if (measurement.size() > 0) {
            String mRId = measurement.getString("mRId");
            measurementSend.put("mRId", mRId);
            String time = measurement.getString("time");
            measurementSend.put("time", time);
            JSONArray analogsArray = measurement.getJSONArray("Analog");
            JSONArray analogsArraySend = new JSONArray();
            if (analogsArray.size() > 0)
              for (int j = 0; j < analogsArray.size(); j++) {
                JSONObject analog = analogsArray.getJSONObject(j);
                JSONObject analogsSend = new JSONObject();
                String measurementType = analog.getString("measurementType");
                analogsSend.put("measurementType", measurementType);
                String value = analog.getString("value");
                analogsSend.put("value", value);
                String status = analog.getString("qualValue");
                analogsSend.put("status", status);
                analogsArraySend.add(analogsSend);
              }  
            measurementSend.put("analogs", analogsArraySend);
          } 
          measureValueListSend.add(measurementSend);
        } 
        measurationSendObject.put("measureValueList", measureValueListSend);
      } 
      sendMsg = measurationSendObject.toString();
    } else {
      sendMsg = a5000Msg.toJSONString();
    } 
    return sendMsg;
  }
  
  public String cbStatusSend(JSONObject a5000Msg) {
    JSONObject cbStatusObject = new JSONObject();
    String msgId = a5000Msg.getString("MsgId");
    cbStatusObject.put("msgId", msgId);
    String msgTime = a5000Msg.getString("timeStamp");
    cbStatusObject.put("msgTime", msgTime);
    JSONObject switchStatus = a5000Msg.getJSONObject("SwitchStatus");
    JSONObject switchStatusSend = new JSONObject();
    String mRId = switchStatus.getString("mRId");
    switchStatusSend.put("mRId", mRId);
    String currentState = switchStatus.getString("currentState");
    switchStatusSend.put("currentState", currentState);
    String value = switchStatus.getString("value");
    switchStatusSend.put("value", value);
    String time = switchStatus.getString("time");
    switchStatusSend.put("time", time);
    cbStatusObject.put("switchStatus", switchStatusSend);
    String sendMsg = cbStatusObject.toString();
    return sendMsg;
  }
  
  public String soeSend(JSONObject a5000Msg) {
    String sendMsg;
    if (ParameterUtils.isEmptyOrNull(ConfigReadAPI.getAreaCode())) {
      JSONObject SOEObject = new JSONObject();
      String msgId = a5000Msg.getString("MsgId");
      SOEObject.put("msgId", msgId);
      String msgTime = a5000Msg.getString("timeStamp");
      SOEObject.put("msgTime", msgTime);
      JSONObject soeInfo = a5000Msg.getJSONObject("SOEInfo");
      JSONObject soeInfoSend = new JSONObject();
      String status = soeInfo.getString("qualValue");
      soeInfoSend.put("status", status);
      String mRId = soeInfo.getString("mRId");
      soeInfoSend.put("mRId", mRId);
      String time = soeInfo.getString("time");
      soeInfoSend.put("time", time);
      String value = soeInfo.getString("currentState");
      soeInfoSend.put("value", value);
      SOEObject.put("soeInfo", soeInfoSend);
      sendMsg = SOEObject.toString();
    } else {
      sendMsg = a5000Msg.toJSONString();
    } 
    return sendMsg;
  }
  
  public String protectSend(JSONObject a5000Msg) {
    String sendMsg;
    if (ParameterUtils.isEmptyOrNull(ConfigReadAPI.getAreaCode())) {
      JSONObject protectSendObject = new JSONObject();
      String msgId = a5000Msg.getString("MsgId");
      protectSendObject.put("msgId", msgId);
      String msgTime = a5000Msg.getString("timeStamp");
      protectSendObject.put("msgTime", msgTime);
      JSONObject cbProInfo = a5000Msg.getJSONObject("cbProtectInfo");
      JSONObject cbProInfoSend = new JSONObject();
      String mRId = cbProInfo.getString("mRId");
      cbProInfoSend.put("mRId", mRId);
      String type = cbProInfo.getString("qualValue");
      cbProInfoSend.put("type", type);
      String action = cbProInfo.getString("protectAction");
      cbProInfoSend.put("action", action);
      String time = cbProInfo.getString("time");
      cbProInfoSend.put("time", time);
      protectSendObject.put("cbProInfo", cbProInfoSend);
      sendMsg = protectSendObject.toString();
    } else {
      sendMsg = a5000Msg.toJSONString();
    } 
    return sendMsg;
  }
  
  public String faultFlipSend(JSONObject a5000Msg) {
    String sendMsg;
    if (ParameterUtils.isEmptyOrNull(ConfigReadAPI.getAreaCode())) {
      JSONObject faultFlipSendObject = new JSONObject();
      String msgId = a5000Msg.getString("MsgId");
      faultFlipSendObject.put("msgId", msgId);
      String msgTime = a5000Msg.getString("timeStamp");
      faultFlipSendObject.put("msgTime", msgTime);
      JSONObject flipInfo = a5000Msg.getJSONObject("FlipInfo");
      JSONObject flipInfoSend = new JSONObject();
      String flipType = flipInfo.getString("flipType");
      flipInfoSend.put("flipType", flipType);
      String action = flipInfo.getString("action");
      flipInfoSend.put("action", action);
      String mRId = flipInfo.getString("flocId");
      flipInfoSend.put("mRId", mRId);
      String time = flipInfo.getString("time");
      flipInfoSend.put("time", time);
      faultFlipSendObject.put("flipInfo", flipInfoSend);
      sendMsg = faultFlipSendObject.toString();
    } else {
      sendMsg = a5000Msg.toJSONString();
    } 
    return sendMsg;
  }
  
  public String faultMsgSend(JSONObject a5000Msg) {
    String sendMsg = a5000Msg.toJSONString();
    return sendMsg;
  }
  
  public String tokenSend(JSONObject a5000Msg) {
    String sendMsg;
    if (ParameterUtils.isEmptyOrNull(ConfigReadAPI.getAreaCode())) {
      JSONObject tokenSendObject = new JSONObject();
      String msgId = a5000Msg.getString("MsgId");
      tokenSendObject.put("msgId", msgId);
      String msgTime = a5000Msg.getString("timeStamp");
      tokenSendObject.put("msgTime", msgTime);
      JSONObject tokenInfo = a5000Msg.getJSONObject("TokenInfo");
      JSONObject tokenInfoSend = new JSONObject();
      String mRId = tokenInfo.getString("mRId");
      tokenInfoSend.put("mRId", mRId);
      int tokenType = tokenInfo.getInteger("tokenType").intValue();
      String tokenTypeStr = new String();
      if (tokenType == 1)
        tokenTypeStr = "保供电"; 
      if (tokenType == 2)
        tokenTypeStr = "接地"; 
      if (tokenType == 3)
        tokenTypeStr = "备用"; 
      if (tokenType == 4)
        tokenTypeStr = "禁止合闸"; 
      if (tokenType == 5)
        tokenTypeStr = "故障"; 
      if (tokenType == 6)
        tokenTypeStr = "检修"; 
      if (tokenType == 7)
        tokenTypeStr = "注释"; 
      if (tokenType == 8)
        tokenTypeStr = "线路工作"; 
      if (tokenType == 9)
        tokenTypeStr = "开断牌"; 
      if (tokenType == 10)
        tokenTypeStr = "电源点"; 
      if (tokenType == 11)
        tokenTypeStr = "禁止遥控"; 
      if (tokenType == 12)
        tokenTypeStr = "保持合闸"; 
      if (tokenType == 13)
        tokenTypeStr = "保持分闸"; 
      if (tokenType == 14)
        tokenTypeStr = "试验"; 
      if (tokenType == 15)
        tokenTypeStr = "缺陷"; 
      if (tokenType == 16)
        tokenTypeStr = "调试"; 
      tokenInfoSend.put("tokenType", tokenTypeStr);
      String tokenStatus = tokenInfo.getString("tokenStatus");
      tokenInfoSend.put("tokenStatus", tokenStatus);
      String time = tokenInfo.getString("time");
      tokenInfoSend.put("time", time);
      tokenSendObject.put("tokenInfo", tokenInfoSend);
      sendMsg = tokenSendObject.toString();
    } else {
      sendMsg = a5000Msg.toJSONString();
    } 
    return sendMsg;
  }
  
  public String inOutSend(JSONObject a5000Msg) {
    JSONObject inOutSendObject = new JSONObject();
    String sendMsg = a5000Msg.toJSONString();
    return sendMsg;
  }
  
  public String cbSectionSend(JSONObject a5000Msg) {
    String sendMsg = a5000Msg.toJSONString();
    return sendMsg;
  }
  
  public String cbProtectSectionSend(JSONObject a5000Msg) {
    String sendMsg = a5000Msg.toJSONString();
    return sendMsg;
  }
  
  public String terminalSectionSend(JSONObject a5000Msg) {
    String sendMsg = a5000Msg.toJSONString();
    return sendMsg;
  }
  
  public String flipSectionSend(JSONObject a5000Msg) {
    String sendMsg = a5000Msg.toJSONString();
    return sendMsg;
  }
}
